> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v2/assurance/topology-overview ## OpenAPI ````json POST /v2/assurance/topology-overview { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v2/assurance/topology-overview": { "post": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v2AssuranceTopologyOverviewPostRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v2AssuranceTopologyOverviewPostResponse" } } } } } } } }, "components": { "schemas": { "v2AssuranceTopologyOverviewPostRequest": { "type": "object", "properties": { "appName": { "type": "string", "example": "example string" }, "appServerKey": { "type": "string", "example": "example string" }, "bucketId": { "type": "string", "example": "ENUM_VALUE" }, "exchangeServiceId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "filter": { "$ref": "#/components/schemas/v2AssuranceTopologyOverviewPostRequestTopologyFilter" }, "flexAlgoId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "sliderTimeWindow": { "$ref": "#/components/schemas/assuranceTimeWindow" }, "timeWindow": { "$ref": "#/components/schemas/assuranceTimeWindow" }, "topologyTs": { "$ref": "#/components/schemas/googleProtobufTimestamp" }, "topologyType": { "type": "string", "example": "ENUM_VALUE" } }, "additionalProperties": false }, "v2AssuranceTopologyOverviewPostResponse": { "type": "object", "properties": { "numApplications": { "type": "integer", "format": "int32", "example": 123 }, "numFlows": { "type": "integer", "format": "int32", "example": 123 }, "topology": { "$ref": "#/components/schemas/assuranceTopology" }, "topologyChangeTs": { "type": "array", "items": { "$ref": "#/components/schemas/googleProtobufTimestamp" } }, "trafficRegions": { "type": "array", "items": { "$ref": "#/components/schemas/v2AssuranceTopologyOverviewPostResponseGeoregion" } } }, "additionalProperties": false }, "v2AssuranceTopologyOverviewPostRequestTopologyFilter": { "type": "object", "properties": { "clientSiteIds": { "type": "array", "items": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "regionIds": { "type": "array", "items": { "type": "integer", "format": "int32", "example": 123 } }, "serverSiteIds": { "type": "array", "items": { "type": "integer", "format": "int64", "example": 1234567891011 } } }, "additionalProperties": false }, "assuranceTimeWindow": { "type": "object", "properties": { "bucketSizeSec": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "oldTs": { "$ref": "#/components/schemas/googleProtobufTimestamp" }, "recentTs": { "$ref": "#/components/schemas/googleProtobufTimestamp" } }, "additionalProperties": false }, "googleProtobufTimestamp": { "type": "object", "properties": { "nanos": { "type": "integer", "format": "int32", "example": 123 }, "seconds": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false }, "assuranceTopology": { "type": "object", "properties": { "edges": { "type": "array", "items": { "$ref": "#/components/schemas/assuranceTopologyEdge" } }, "nodes": { "type": "array", "items": { "$ref": "#/components/schemas/assuranceTopologyNode" } }, "paths": { "type": "array", "items": { "$ref": "#/components/schemas/assuranceTopologyPath" } } }, "additionalProperties": false }, "v2AssuranceTopologyOverviewPostResponseGeoregion": { "type": "object", "properties": { "numSites": { "type": "integer", "format": "int32", "example": 123 }, "region": { "$ref": "#/components/schemas/assuranceRegion" } }, "additionalProperties": false }, "assuranceTopologyEdge": { "type": "object", "properties": { "destinationNodeId": { "type": "string", "example": "example string" }, "performance": { "type": "array", "items": { "$ref": "#/components/schemas/assuranceTopologyEdgeLinkPerformance" } }, "sourceNodeId": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "assuranceTopologyNode": { "type": "object", "properties": { "active": { "type": "boolean", "example": true }, "location": { "$ref": "#/components/schemas/assuranceGeolocation" }, "name": { "type": "string", "example": "example string" }, "nodeId": { "type": "string", "example": "example string" }, "nodeType": { "type": "string", "example": "ENUM_VALUE" } }, "additionalProperties": false }, "assuranceTopologyPath": { "type": "object", "properties": { "nodeIds": { "type": "array", "items": { "type": "string", "example": "example string" } } }, "additionalProperties": false }, "assuranceRegion": { "type": "object", "properties": { "regionId": { "type": "integer", "format": "int32", "example": 123 }, "regionIsoCode": { "type": "string", "example": "example string" }, "regionName": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "assuranceTopologyEdgeLinkPerformance": { "type": "object", "properties": { "jitter": { "type": "number", "format": "float", "example": 12.34 }, "latency": { "type": "number", "format": "float", "example": 12.34 }, "loss": { "type": "number", "format": "float", "example": 12.34 } }, "additionalProperties": false }, "assuranceGeolocation": { "type": "object", "properties": { "lat": { "type": "number", "format": "float", "example": 12.34 }, "long": { "type": "number", "format": "float", "example": 12.34 } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````